Subject: bug#15012: 23.3; read-char inappropriate echo area content

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 20:57:42 -0700

Bob Newell <[email-masked]> writes:

> Because if you run this:
>
> (defun minimal-function ()
>   (interactive)
>     (while t
>       (read-char-exclusive)
>     )
> )
>
> everything you've typed since you've invoked the function shows up in
> the echo area, like this:
>
> ESC x m i n i m a l - f u n c t i o n RET a b c d e f g    (etc.)

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

I tried reproducing this bug in Emacs 27, but was unable to, so I'm
assuming it's fixed and is closing this bug report.  If you're still
seeing this, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no